function cor_distance=get_distance...
    (QQ,Vm,dsb,water_seabed,d_depth,...
    time_dif,low_depth,up_depth)
%this fucntion calculate the corrected distance 

global water
format long cor_distance
format long QQ

for j=1:2
    QCA=QQ(j);
    bb=get_range(QCA,water_seabed,low_depth,up_depth);
    if j==2 & bb(1) < time_dif
       DDIST=time_dif*Vm;
       DD1=dsb-d_depth;
       DDEL=DDIST*DDIST-DD1*DD1;
       if DDEL <= 0.0              %right at the top of OBS
           DDEL=0.00001;
       end
       cor_distance=sqrt(DDEL);
       return
    else
        if j==1 & bb(1) > time_dif
            while bb(1) > time_dif
                QQ(1)=QQ(1)+(QQ(1)-QQ(2))/10.0;
                QCA=QQ(1);
                bb=get_range(QCA,water_seabed,low_depth,up_depth);
            end
        else
        end
    end
    BDC(j)=bb(2);
    BTC(j)=bb(1);
end

for i=1:100
    QQ(3)=(QQ(1)+QQ(2))/2.0;
    QCA=QQ(3);
    bb=get_range(QCA,water_seabed,low_depth,up_depth);
    BDC(3)=bb(2);
    BTC(3)=bb(1);
    if bb(1) > time_dif
        QQ(2)=QQ(3);
        BDC(2)=BDC(3);
        BTC(2)=BTC(3);
    else
        QQ(1)=QQ(3);
        BDC(1)=BDC(3);
        BTC(1)=BTC(3);
    end
    if (BTC(2)-BTC(1)) < 0.002
        break
    end
    if abs(QQ(1)-QQ(2))/QQ(1)  <  0.2e-05
        break
    end
end
cor_distance=BDC(1)+(BDC(2)-BDC(1))*...
    ((time_dif-BTC(1))/(BTC(2)-BTC(1)));




