function get_utm=latlon_utm(lat,lon,CM)
%This function transfer latitude and Longitude into UTM coordinates
global A A0 A2 A4 A6 A8 B E1 E2
A=6378206.4;
RECIPF=294.97898;
F=1.0/RECIPF;
B=A-A*F;
E1=(A*A-B*B)/(A*A);
E2=(A*A-B*B)/(B*B);
get_utm(1:2)=0;
phi=lat/57.29577951;
v=E1*sin(phi)^2.0;
n=A/sqrt(1.0-v);
t=tan(phi)^2.0;
delta=(lon-CM)/57.29577951;
n2=E2*cos(phi)^2.0;
k0=0.9996;
s0=medarc1(phi);

t1=delta*delta/2.0*sin(phi)*cos(phi);
t2=delta^4.0/24.0*sin(phi)*cos(phi)^3.0*(5.0-t+9.0*n2+4.0*n2*n2);
t3=61.0-58.0*t+t*t+270.0*n2-330.0*t*n2+445.0*n2*n2+324.0*n2^3.0...
    -680.0*n2*n2*t+88.0*n2^4.0-600.0*n2^3.0*t-192.0*n2^4.0*t;
t4=1385.0-3111.0*t+543.0*t*t-t^3.0;
get_utm(1)=k0*s0+k0*n*(t1+t2+delta^6.0/720.0*sin(phi)*...
    cos(phi)^5.0*t3+delta^8.0/40320.0*sin(phi)*...
    cos(phi)^7.0*t4);

t1=delta*cos(phi)+(delta*cos(phi))^3.0/6.0*(1-t+n2);
t2=5.0-18.0*t+t*t+14.0*n2-58.0*t*n2+13.0*n2*n2+4.0*n2^3.0-...
    64.0*n2*n2*t-24.0*n2^3.0*t;
t3=(61.0-479.0*t+179*t*t-t^3.0)/5040.0;
get_utm(2)=500000.0+k0*n*(t1+(delta*cos(phi))^5.0/120.0*t2+...
    (delta*cos(phi))^7.0*t3);



    
