function cor_depth=true_depth(cal_depth)
%this fucntion calculate the corrected depth 
%based on the calculated depth assuming signals travel at 1500m/s
%syntax: input a measured depth,output a true depth

global water

depth=cal_depth/1500.0;
Tsum=0;
Dsum=0;
i=0;
while Tsum < depth
    i=i+1;
    if i>120
        break
    end
    AD=water(i+1,1)-water(i,1);
    Dsum=Dsum+AD;
    AT=AD/water(i,2);
    Tsum=Tsum+AT;
end

cor_depth=Dsum-AD*(Tsum-depth)/AT;
    
    